> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kraken.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Funding Withdrawal Limits

> Retrieve withdrawal limits for an asset, including remaining and maximum amounts where applicable.

**API Key Permissions Required:** `Funds permissions - Query`



## OpenAPI

````yaml /openapi/funding-beta.yaml get /funding/v1/limits/withdrawal/{asset_class}/{asset}
openapi: 3.0.0
info:
  title: Funding REST API (Beta)
  version: 1.0.0
  description: >-
    Beta Funding e-API endpoints for deposits, withdrawals, addresses, methods,
    limits, and fees.
servers:
  - url: https://api.kraken.com
    description: Production Server
security:
  - API-Key: []
    API-Sign: []
    API-Nonce: []
  - API-Key: []
    API-Sign: []
    API-Nonce: []
    API-OTP: []
tags:
  - name: funding-beta
    x-group: Funding (Beta)
paths:
  /funding/v1/limits/withdrawal/{asset_class}/{asset}:
    get:
      tags:
        - funding-beta
      summary: List Funding Withdrawal Limits
      description: >-
        Retrieve withdrawal limits for an asset, including remaining and maximum
        amounts where applicable.


        **API Key Permissions Required:** `Funds permissions - Query`
      operationId: listFundingWithdrawalLimitsV1
      parameters:
        - in: path
          name: asset_class
          required: true
          schema:
            description: Filter by asset class.
            type: string
            enum:
              - currency
              - tokenized_asset
          style: simple
          example: currency
        - in: path
          name: asset
          required: true
          schema:
            description: Filter by asset.
            type: string
            minLength: 1
            maxLength: 16
          style: simple
          example: BTC
        - in: query
          name: preferred_asset
          schema:
            description: >-
              Asset in which to express returned limit amounts. When omitted,
              amounts are returned in the

              funding method’s asset.
            type: object
            properties:
              class:
                description: Asset class to match.
                type: string
                enum:
                  - currency
                  - tokenized_asset
              name:
                description: Asset name to match.
                type: string
                minLength: 1
                maxLength: 16
            required:
              - name
          style: deepObject
        - in: query
          name: account_id
          description: Account ID
          schema:
            type: string
          x-selected-account: true
          style: form
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  available_balance:
                    description: >-
                      Balance available for withdrawal after accounting for
                      holds, open positions, margin

                      requirements, and other restrictions. Funding method
                      specific limits may reduce this amount

                      further.
                    type: object
                    properties:
                      asset:
                        description: Asset in which the amount is denominated.
                        type: object
                        properties:
                          class:
                            description: Asset class.
                            type: string
                            enum:
                              - currency
                              - tokenized_asset
                          name:
                            description: Asset name.
                            type: string
                            minLength: 1
                            maxLength: 16
                        required:
                          - class
                          - name
                      amount:
                        description: Decimal amount.
                        type: string
                        pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                    required:
                      - asset
                      - amount
                  withdrawal_limits:
                    description: Withdrawal limits by funding method.
                    type: array
                    items:
                      type: object
                      properties:
                        method_id:
                          description: Funding method associated with the limits.
                          type: string
                          pattern: >-
                            ^[0-9a-fA-F]{8}-?(?:[0-9a-fA-F]{4}-?){3}[0-9a-fA-F]{12}$
                        maximum_amount:
                          description: >-
                            Maximum withdrawal amount allowed by the available
                            balance and amount based limits. Attempt and

                            transaction-count limits are not included.
                          type: object
                          properties:
                            asset:
                              description: Asset in which the amount is denominated.
                              type: object
                              properties:
                                class:
                                  description: Asset class.
                                  type: string
                                  enum:
                                    - currency
                                    - tokenized_asset
                                name:
                                  description: Asset name.
                                  type: string
                                  minLength: 1
                                  maxLength: 16
                              required:
                                - class
                                - name
                            amount:
                              description: Decimal amount.
                              type: string
                              pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                          required:
                            - asset
                            - amount
                        maximum_reason:
                          description: >-
                            Constraint determining the maximum withdrawal
                            amount.
                          type: string
                          enum:
                            - balance
                            - limits
                        limits:
                          description: Funding limits for the method.
                          type: array
                          items:
                            description: A funding limit for a time window.
                            type: object
                            properties:
                              time_window:
                                description: >-
                                  Length of the time window over which the limit
                                  applies.
                                type: string
                                format: uint64
                                pattern: ^\d+$
                              limit:
                                description: Limit values for the applicable metric.
                                oneOf:
                                  - type: object
                                    properties:
                                      limit_type:
                                        type: string
                                        enum:
                                          - equiv_amount_usd
                                      remaining:
                                        description: Amount remaining in the time window.
                                        type: object
                                        properties:
                                          policy_asset_amount:
                                            description: >-
                                              Amount in the asset used by the limit
                                              policy.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          usd_amount:
                                            description: Equivalent amount in USD.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          requested_asset_amount:
                                            description: >-
                                              Equivalent amount in the requested
                                              asset. Uses the funding method's asset
                                              when

                                              `preferred_asset` is omitted.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                        required:
                                          - policy_asset_amount
                                      maximum:
                                        description: Maximum amount for the time window.
                                        type: object
                                        properties:
                                          policy_asset_amount:
                                            description: >-
                                              Amount in the asset used by the limit
                                              policy.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          usd_amount:
                                            description: Equivalent amount in USD.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          requested_asset_amount:
                                            description: >-
                                              Equivalent amount in the requested
                                              asset. Uses the funding method's asset
                                              when

                                              `preferred_asset` is omitted.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                        required:
                                          - policy_asset_amount
                                      used:
                                        description: Amount used in the time window.
                                        type: object
                                        properties:
                                          policy_asset_amount:
                                            description: >-
                                              Amount in the asset used by the limit
                                              policy.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          usd_amount:
                                            description: Equivalent amount in USD.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          requested_asset_amount:
                                            description: >-
                                              Equivalent amount in the requested
                                              asset. Uses the funding method's asset
                                              when

                                              `preferred_asset` is omitted.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                        required:
                                          - policy_asset_amount
                                    required:
                                      - remaining
                                      - maximum
                                      - limit_type
                                    title: limit_type | remaining | maximum | used
                                  - type: object
                                    properties:
                                      limit_type:
                                        type: string
                                        enum:
                                          - equiv_amount_eur
                                      remaining:
                                        description: Amount remaining in the time window.
                                        type: object
                                        properties:
                                          policy_asset_amount:
                                            description: >-
                                              Amount in the asset used by the limit
                                              policy.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          usd_amount:
                                            description: Equivalent amount in USD.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          requested_asset_amount:
                                            description: >-
                                              Equivalent amount in the requested
                                              asset. Uses the funding method's asset
                                              when

                                              `preferred_asset` is omitted.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                        required:
                                          - policy_asset_amount
                                      maximum:
                                        description: Maximum amount for the time window.
                                        type: object
                                        properties:
                                          policy_asset_amount:
                                            description: >-
                                              Amount in the asset used by the limit
                                              policy.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          usd_amount:
                                            description: Equivalent amount in USD.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          requested_asset_amount:
                                            description: >-
                                              Equivalent amount in the requested
                                              asset. Uses the funding method's asset
                                              when

                                              `preferred_asset` is omitted.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                        required:
                                          - policy_asset_amount
                                      used:
                                        description: Amount used in the time window.
                                        type: object
                                        properties:
                                          policy_asset_amount:
                                            description: >-
                                              Amount in the asset used by the limit
                                              policy.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          usd_amount:
                                            description: Equivalent amount in USD.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          requested_asset_amount:
                                            description: >-
                                              Equivalent amount in the requested
                                              asset. Uses the funding method's asset
                                              when

                                              `preferred_asset` is omitted.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                        required:
                                          - policy_asset_amount
                                    required:
                                      - remaining
                                      - maximum
                                      - limit_type
                                    title: limit_type | remaining | maximum | used
                                  - type: object
                                    properties:
                                      limit_type:
                                        type: string
                                        enum:
                                          - equiv_amount_cad
                                      remaining:
                                        description: Amount remaining in the time window.
                                        type: object
                                        properties:
                                          policy_asset_amount:
                                            description: >-
                                              Amount in the asset used by the limit
                                              policy.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          usd_amount:
                                            description: Equivalent amount in USD.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          requested_asset_amount:
                                            description: >-
                                              Equivalent amount in the requested
                                              asset. Uses the funding method's asset
                                              when

                                              `preferred_asset` is omitted.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                        required:
                                          - policy_asset_amount
                                      maximum:
                                        description: Maximum amount for the time window.
                                        type: object
                                        properties:
                                          policy_asset_amount:
                                            description: >-
                                              Amount in the asset used by the limit
                                              policy.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          usd_amount:
                                            description: Equivalent amount in USD.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          requested_asset_amount:
                                            description: >-
                                              Equivalent amount in the requested
                                              asset. Uses the funding method's asset
                                              when

                                              `preferred_asset` is omitted.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                        required:
                                          - policy_asset_amount
                                      used:
                                        description: Amount used in the time window.
                                        type: object
                                        properties:
                                          policy_asset_amount:
                                            description: >-
                                              Amount in the asset used by the limit
                                              policy.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          usd_amount:
                                            description: Equivalent amount in USD.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          requested_asset_amount:
                                            description: >-
                                              Equivalent amount in the requested
                                              asset. Uses the funding method's asset
                                              when

                                              `preferred_asset` is omitted.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                        required:
                                          - policy_asset_amount
                                    required:
                                      - remaining
                                      - maximum
                                      - limit_type
                                    title: limit_type | remaining | maximum | used
                                  - type: object
                                    properties:
                                      limit_type:
                                        type: string
                                        enum:
                                          - equiv_amount_gbp
                                      remaining:
                                        description: Amount remaining in the time window.
                                        type: object
                                        properties:
                                          policy_asset_amount:
                                            description: >-
                                              Amount in the asset used by the limit
                                              policy.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          usd_amount:
                                            description: Equivalent amount in USD.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          requested_asset_amount:
                                            description: >-
                                              Equivalent amount in the requested
                                              asset. Uses the funding method's asset
                                              when

                                              `preferred_asset` is omitted.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                        required:
                                          - policy_asset_amount
                                      maximum:
                                        description: Maximum amount for the time window.
                                        type: object
                                        properties:
                                          policy_asset_amount:
                                            description: >-
                                              Amount in the asset used by the limit
                                              policy.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          usd_amount:
                                            description: Equivalent amount in USD.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          requested_asset_amount:
                                            description: >-
                                              Equivalent amount in the requested
                                              asset. Uses the funding method's asset
                                              when

                                              `preferred_asset` is omitted.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                        required:
                                          - policy_asset_amount
                                      used:
                                        description: Amount used in the time window.
                                        type: object
                                        properties:
                                          policy_asset_amount:
                                            description: >-
                                              Amount in the asset used by the limit
                                              policy.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          usd_amount:
                                            description: Equivalent amount in USD.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          requested_asset_amount:
                                            description: >-
                                              Equivalent amount in the requested
                                              asset. Uses the funding method's asset
                                              when

                                              `preferred_asset` is omitted.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                        required:
                                          - policy_asset_amount
                                    required:
                                      - remaining
                                      - maximum
                                      - limit_type
                                    title: limit_type | remaining | maximum | used
                                  - type: object
                                    properties:
                                      limit_type:
                                        type: string
                                        enum:
                                          - attempt
                                      remaining:
                                        description: Count remaining in the time window.
                                        type: string
                                        pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                      maximum:
                                        description: Maximum count for the time window.
                                        type: string
                                        pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                      used:
                                        description: Count used in the time window.
                                        type: string
                                        pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                    required:
                                      - remaining
                                      - maximum
                                      - limit_type
                                    title: limit_type | remaining | maximum | used
                                  - type: object
                                    properties:
                                      limit_type:
                                        type: string
                                        enum:
                                          - success
                                      remaining:
                                        description: Count remaining in the time window.
                                        type: string
                                        pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                      maximum:
                                        description: Maximum count for the time window.
                                        type: string
                                        pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                      used:
                                        description: Count used in the time window.
                                        type: string
                                        pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                    required:
                                      - remaining
                                      - maximum
                                      - limit_type
                                    title: limit_type | remaining | maximum | used
                                  - type: object
                                    properties:
                                      limit_type:
                                        type: string
                                        enum:
                                          - amount
                                      remaining:
                                        description: Amount remaining in the time window.
                                        type: object
                                        properties:
                                          policy_asset_amount:
                                            description: >-
                                              Amount in the asset used by the limit
                                              policy.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          usd_amount:
                                            description: Equivalent amount in USD.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                                            required:
                                              - asset
                                              - amount
                                          requested_asset_amount:
                                            description: >-
                                              Equivalent amount in the requested
                                              asset. Uses the funding method's asset
                                              when

                                              `preferred_asset` is omitted.
                                            type: object
                                            properties:
                                              asset:
                                                description: >-
                                                  Asset in which the amount is
                                                  denominated.
                                                type: object
                                                properties:
                                                  class:
                                                    description: Asset class.
                                                    type: string
                                                    enum:
                                                      - currency
                                                      - tokenized_asset
                                                  name:
                                                    description: Asset name.
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 16
                                                required:
                                                  - class
                                                  - name
                                              amount:
                                                description: Decimal amount.
                                                type: string
                                                pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
[...]
